> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/common-concepts/api-endpoint.md).

# API endpoint

The API is available at this URL:

https\://\<your\_collibra\_url>/graphql/knowledgeGraph/v1

Because of the wide adoption of the GraphQL there are many UI applications that can help you write and run your queries, such as [Postman](https://www.postman.com/), [Insomnia](https://insomnia.rest/), or [Altair](https://altairgraphql.dev/). Before you start using the Knowledge Graph API, if you haven't done so already, please familiarize yourself with the core concepts of GraphQL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/common-concepts/api-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
